﻿Imports System.Text

Namespace EmployeeApplication
	''' <summary>
	''' Interaction logic for MainWindow.xaml
	''' </summary>
	Partial Public Class MainWindow
		Inherits Window
		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub SubmitButton_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
			Dim expenseAmount As Decimal
            Dim containsDecimal = Decimal.TryParse(AmountTextBox.Text, expenseAmount)

			If containsDecimal Then
				Dim proxy As New ExpenseReportServiceReference.ServiceClient()
                Dim expenseId = proxy.CreateExpenseReport(expenseAmount, DescriptionTextBox.Text)

				MessageBox.Show(String.Format("Expense submitted with id {0}", expenseId))
			End If
		End Sub
	End Class
End Namespace