﻿Imports System.Text
Imports System.Activities

Namespace ExpenseReport.Activities

	Public NotInheritable Class CreateExpenseReportActivity
		Inherits CodeActivity(Of Integer)
		Public Property Amount() As InArgument(Of Decimal)
		Public Property Description() As InArgument(Of String)

		Protected Overrides Function Execute(ByVal context As CodeActivityContext) As Integer
			Dim expenseReportManager As New Data.ExpenseReportManager()

            Return expenseReportManager.CreateExpenseReport(Amount.Get(context),
                                                            Description.Get(context))
		End Function
	End Class
End Namespace